Subject: linux-next: disabling -Wstringop-truncation

From: Stephen Rothwell <[email-masked]>
Date: Fri, 31 Aug 2018 08:07:14 +1000

Hi Linus,

I am now mainly using gcc v8.2 for my builds and -Wstringop-truncation
causes so many warnings that I am sure to miss others, so I have
applied the below to my fixes tree until the noise reduces.

From: Stephen Rothwell <[email-masked]>
Date: Fri, 31 Aug 2018 07:47:28 +1000
Subject: [PATCH] disable stringop truncation warnings for now

They are too noisy
Signed-off-by: Stephen Rothwell <[email-masked]>
---
 Makefile | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/Makefile b/Makefile
index 2b458801ba74..a34a9283ee90 100644
--- a/Makefile
+++ b/Makefile
@@ -807,6 +807,9 @@ KBUILD_CFLAGS += $(call cc-option,-Wdeclaration-after-statement,)
 # disable pointer signed / unsigned warnings in gcc 4.0
 KBUILD_CFLAGS += $(call cc-disable-warning, pointer-sign)
 
+# disable stringop warnings in gcc 8+
+KBUILD_CFLAGS += $(call cc-disable-warning, stringop-truncation)
+
 # disable invalid "can't wrap" optimizations for signed / pointers
 KBUILD_CFLAGS	+= $(call cc-option,-fno-strict-overflow)
 
-- 
2.19.0.rc1

-- 
Cheers,
Stephen Rothwell